class_name Note
extends Resource

const uuid = preload("res://utils/uuid.gd")

@export var parent_id: String
@export var id: String
@export var title: String


static func create(note_title: String, note_parent_id: String = "") -> Note:
	var note = Note.new()
	note.id = uuid.v4()
	note.title = note_title
	note.parent_id = note_parent_id
	return note
